//
//  LoginViewModel.swift
//  iOSFirst
//
//  Created by 孙宇峰 on 2023/2/3.
//

import Foundation
import Moya
import RxSwift
import RxCocoa
import RxRelay


class LoginViewModel  {

    private let service:MoyaProvider<AccountService>
       private var bag = DisposeBag()
       var userResponse = PublishSubject<LoginUserInfo>()
       
    init(service:MoyaProvider<AccountService> = accountProvider) {
           self.service = service
          
       }
       
     
    func loginUser() {
           service.rx.request(.login("90012", "123456",false)).subscribe { [weak self] event in
               switch event {
               case let .success(response):
                   do {
                       let response = try response.mapJSON()
                       log.info( response )
                       
                   } catch let error {
                       log.error(error.localizedDescription)
                   }
               case .failure(let error):
                   log.error(error.localizedDescription)
               }
           }.disposed(by: bag)

       }
       
}
